/* Font Import */
@font-face {
  font-family: 'Elma';
  font-weight: 500;
  font-style: normal;
  src: url('../fonts/Elma-Trio-Variable.woff'), url('../fonts/ElmaTrio.woff2');
  font-display: swap;
}

@font-face {
  font-family: 'Elma';
  font-weight: 500;
  font-style: italic;
  src: url('../fonts/Elma-Trio-Variable-Italic.woff'),url('../fonts/ElmaTrio-Italic.woff2');
  font-display: swap;
}

/* Global */
html {
  font-family: 'Elma', sans-serif;
  font-size: 14px;
  background-color: #0000ff;
  color: white;
  cursor: default;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-rendering: optimizeLegibility;
}

body {
  display: flex;
  flex-direction: column;
  padding: 0 1rem 4rem 1rem;
  line-height: 130%;
}

main {
  width: 100%;
  max-width: 40rem;
  display: flex;
  flex-direction: column;
  gap: 2rem;
}

/* Typography */
h1 {
  text-transform: uppercase;
  position: sticky;
  background-color: #0000ff;
  padding: 1rem 0;
  top: 0;
  z-index: 2;
}

h2 {
  border-bottom: 0.1rem dashed white;
  border-top: 0.1rem dashed white;
  padding: 0.5rem 0;
  margin-bottom: 1rem;
  position: sticky;
  background-color: #0000ff;
  top: 3.3rem;
}

h3 {
  font-size: 1.4rem;
}

p {
  + p, + ol {
    margin-top: 0.75rem;
  }
}

ol {
  list-style-type: decimal;

  li {
    margin-left: 1.6rem;
    padding-left: 1rem;

    + li {
      margin-top: 0.75rem;
    }
  }
}

i {
  font-style: italic;
}

a {
  color: inherit;
  text-underline-offset: 0.2rem;
}

code {
  background-color: rgba(255, 255, 255, 0.4);
  padding: 0.1rem 0.3rem;
  border-radius: 0.2rem;
}

/* Elements */
.button {
  padding: 0.35rem 0.7rem;
  border: 0.1rem dashed white;
  text-decoration: none;
  display: inline-block;
  border-radius: 0.5rem;
}

.buttons {
  margin: 1rem 0;
  display: flex;
  gap: 0.3rem;
}

.domains {
  display: flex;
  margin: 2rem 0;
  gap: 0.5rem;
  justify-content: center;
  text-align: center;

  h3 {
    margin-bottom: 0.5rem;
  }
}
